              .area   text

PEAR        =     $0A
MXAR        =     $38
CSCTL0		  =		  $3C
CSCTL1		  =		  $3D
INITEE		  = 	  $12	; Single chip F1 (expanded 10--not in address space)
INITRG		  =		  $11	; Register location
INITRM		  =		  $10	; 8 set ram 0800 C00
WINDEF		  =		  $37
COPCTL		  =		  $16	; COP register
MODE        =     $0B ; Single chip 90 (Flash B0)
SC0BDL		  = 	  $C1	; SCI baud register low
SC1BDH		  = 	  $C0	; 	  	   			high
SC0CR2      =     $C3 ; SCI Control register

              ; Initialize system values
_HC12Setup::  MOVB    #$04,PEAR       ; enable R/W signal (for ext. RAM writes)
              MOVB    #$07,MXAR       ; enable A16, A17, A18
              MOVB    #$30,CSCTL0     ; enable CSD & CSP0
              MOVB    #$10,CSCTL1     ; CSD covers lower half of memory map
              MOVB    #$C0,WINDEF     ; enable data & program windows
              CLR     COPCTL          ; Turn off COP
              MOVB    #$F1, INITEE    ; EEPROM in at top of address space
              MOVB    #8,INITRM       ; Put Ram 0800 C00
              CLR     INITRG          ; Put registers at 0000
              MOVB    #$90, MODE      ; Single chip mode

              ; Set up Serial communication 38.4 K Receive & Transmit
;              LDAA    #13             ; Set default baud to 38.4 K
;              STAA    SC0BDL
;              LDAA    #$0C        ; Enable transmit and receive
;              STAA    SC0CR2
              RTS

